Organization API: Organizations & Members: Settings
The 3 Organization API operations for settings.
Part of Organizations & Members.
GET /api/v1/orgs/{org_slug}/settings
| Name |
In |
Type |
Required |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field |
Type |
id |
integer |
org_id |
integer |
custom_domain |
string or null |
custom_domain_verified |
boolean |
logo_url |
string or null |
favicon_url |
string or null |
primary_color |
string |
secondary_color |
string |
company_name |
string or null |
legal_name |
string or null |
registration_number |
string or null |
tax_id |
string or null |
registered_address |
string or null |
billing_email |
string or null |
country_code |
string or null |
support_email |
string or null |
terms_url |
string or null |
privacy_url |
string or null |
smtp_host |
string or null |
smtp_port |
integer |
smtp_user |
string or null |
smtp_from_email |
string or null |
smtp_from_name |
string or null |
invoice_prefix |
string |
invoice_footer |
string or null |
default_currency |
string |
tax_rate |
string |
payment_terms_days |
integer |
timezone |
string |
features |
object or null |
self_serve_downgrade_credit |
boolean or null |
self_serve_cancellation_credit |
boolean or null |
PATCH /api/v1/orgs/{org_slug}/settings
| Name |
In |
Type |
Required |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
mail_outbound |
OrgMailOutbound or null |
no |
mail_outbound.transport |
string, one of auto, smtp, inhouse |
no |
mail_outbound.tenant |
string or null |
no |
mail_outbound.envelope_domain |
string or null |
no |
mail_outbound.envelope_local |
string or null |
no |
mail_outbound.from_mode |
string, one of apex, subdomain |
no |
custom_domain |
string or null |
no |
logo_url |
string or null |
no |
favicon_url |
string or null |
no |
primary_color |
string or null |
no |
secondary_color |
string or null |
no |
company_name |
string or null |
no |
legal_name |
string or null |
no |
registration_number |
string or null |
no |
tax_id |
string or null |
no |
registered_address |
string or null |
no |
billing_email |
string or null |
no |
country_code |
string or null |
no |
support_email |
string or null |
no |
terms_url |
string or null |
no |
privacy_url |
string or null |
no |
smtp_host |
string or null |
no |
smtp_port |
integer or null |
no |
smtp_user |
string or null |
no |
smtp_pass |
string or null |
no |
smtp_from_email |
string or null |
no |
smtp_from_name |
string or null |
no |
invoice_prefix |
string or null |
no |
invoice_footer |
string or null |
no |
default_currency |
string or null |
no |
tax_rate |
number or string or null |
no |
payment_terms_days |
integer or null |
no |
timezone |
string or null |
no |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field |
Type |
id |
integer |
org_id |
integer |
custom_domain |
string or null |
custom_domain_verified |
boolean |
logo_url |
string or null |
favicon_url |
string or null |
primary_color |
string |
secondary_color |
string |
company_name |
string or null |
legal_name |
string or null |
registration_number |
string or null |
tax_id |
string or null |
registered_address |
string or null |
billing_email |
string or null |
country_code |
string or null |
support_email |
string or null |
terms_url |
string or null |
privacy_url |
string or null |
smtp_host |
string or null |
smtp_port |
integer |
smtp_user |
string or null |
smtp_from_email |
string or null |
smtp_from_name |
string or null |
invoice_prefix |
string |
invoice_footer |
string or null |
default_currency |
string |
tax_rate |
string |
payment_terms_days |
integer |
timezone |
string |
features |
object or null |
self_serve_downgrade_credit |
boolean or null |
self_serve_cancellation_credit |
boolean or null |
GET /api/v1/orgs/{org_slug}/settings/mail-outbound
The outbound transport block plus whether the in-house side can send now.
| Name |
In |
Type |
Required |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |